%define name radiofm 
%define version 0.1
%define release 1mdk

Summary: DengerinRadioFM is a Gtk+ FM radio tuner
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL 
Group: Sound
URL: http://mdamt.net/oss/radiofm
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: gtk+ >= 1.2.0

%description
DengerinRadioFM is a Gtk+ FM Radio Tuner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/radiofm"\
title="RadioFm"\
longtitle="Gtk+ FM Radio Tuner"\
needs="x11"\
section="Multimedia/Sound"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL TODOS VERSION THANKS SPONSOR
%{_bindir}/radiofm
%_menudir/*

%changelog
* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- added in contribs by Mohammad DAMT <mdamt@mdamt.net> :
	- First RPM attempt 

# end of file
